Manuel PHP
Précédent |  | Suivant

# debug_zval_dump

(PHP 4 >= 4.2.0, PHP 5)

debug_zval_dump -- Extrait une représentation sous forme de chaîne d'une valeur interne à Zend pour affichage

## Description

void debug_zval_dump ( mixed variable )

debug_zval_dump() extrait une représentation sous forme de chaîne d'une valeur interne à Zend pour affichage.

## Liste de paramètres

variable

  La variable à évaluer.

## Valeurs de retour

Aucune valeur n'est retournée.

## Exemples

Exemple 1. Exemple avec debug_zval_dump()

`<?php $var1 = 'Bonjour le monde !'; $var2 = ''; $var2 =& $var1; debug_zval_dump($var1); ?>`

L'exemple ci-dessus va afficher :

    string(11) "Bonjour le monde !" refcount(1)

## Voir aussi

var_dump()
debug_backtrace()
Explication sur les références

Précédent | Sommaire | Suivant
Fonctions de gestion des variables | Niveau supérieur | doubleval